Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class OWSWatch

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.deegree.enterprise.servlet.OWSWatch

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class OWSWatch

extends javax.servlet.http.HttpServlet

The owsWatch Servlet to handle the request of the owswatch portal

Version:
  $Revision: 1.3 $, $Date: 2008-03-20 16:33:27 $
Author:
  ncho, last edited by: $Author: elmasry $
See Also:
  Serialized Form

Constructor Summary
`OWSWatch()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `init()`
`protected boolean` | `isLoggedIn(javax.servlet.http.HttpServletRequest request)` Verifies that this user is loggedin through comparing the session ID from the request paarameter with that saved in the session

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWSWatch

    public OWSWatch()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`

### isLoggedIn

    protected boolean isLoggedIn(javax.servlet.http.HttpServletRequest request)

  Verifies that this user is loggedin through comparing the session ID from the request paarameter with that saved in the session

  Parameters:
    `request` -
  Returns:
    true if the user is loggedin, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org